# Frequently Asked Questions

### How do I make the borders of an embedded table invisible?

In the TinyMCE editor, there is a button to configure settings for embedded tables. Choosing a border color of 'Invisible' will not result in invisible borders. Instead, set your **Border width** to **Opx**.

### **Why aren't my labels aligned correctly when printing?**

Converting labels into PDF form is an extremely precise operation. Every pixel counts. If you have added borders to your labels, try removing them and see if that corrects the alignment. Additionally, try adjusting the label size and / or page margins to account for the additional border size.

You can see a demonstration of label printing in the following video:

{% embed url="<https://youtu.be/Q_evKI9-0rM?si=Xt8qL7Rg0CUVAIvF>" %}

### The bulleted lists in my PDF are formatted such that multiple lines are aligned to the original bullet. I prefer my bulleted text to be aligned with the first line of text (offset from the bullet). How can I change this?

This is due to a ServiceNow system property. If you wish to update this across all TinyMCE editors in your instance, you can do so by:

* Opening the system property *glide.ui.html.editor.v5.valid\_plugins*
* Remove *align\_listitems* from the choice and value fields

If you wish to change this for a single PDF Template, you can do so by:

* Clicking the *<>* button on the TinyMCE editor to enter Source Code mode
* Remove the *style="list-style-position:inside;"* text from the *\<ul>* or *\<ol>* tags within the source code
* Click to save the source code, and then save the PDF template record

### The PDF Generator wizard in workspace is too small. How can I make it bigger?

Available options for workspace modals are limited, ranging from very small to quite small to full screen.

The included examples use the code below to render the wizard as large as possible in a modal format:

```
g_modal.showFrame({
    url: 'x_yala_pdf_pdf_generator.do?' + jsonToParams(modalOptions),
    title: 'Generate PDF',
    size: 'xl',
    height: 500,
    callback: function () {
        location.reload();
    }
});
```

If you'd like to instead make the wizard full-screen, you can update the *size* and *height* parameters like below:

```
g_modal.showFrame({
    url: 'x_yala_pdf_pdf_generator.do?' + jsonToParams(modalOptions),
    title: 'Generate PDF',
    size: 'fw',
    height: 1000,
    callback: function () {
        location.reload();
    }
});
```

### Can I inject dynamic record data into document headers & footers?

Yes! To do this, select a header/footer 'Type' of 'Advanced' on the [HTML Template](/pdf-generator/technical-docs/building-a-pdf-template/html-to-pdf-merge-templates.md) form. Then, in the HTML template, insert the necessary HTML for your desired look & feel, inserting [Merge Key](/pdf-generator/technical-docs/building-a-pdf-template/merge-maps.md) names in handlebar brackets the same as in your main document HTML Template.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yansalabs.com/pdf-generator/technical-docs/frequently-asked-questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
